package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.DetailJenisLimbah;
import com.jasamedika.medifirst2000.entities.DetailPerlakuan;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "NeracaLimbah_T")
public class NeracaLimbahVO extends BaseTransactionVO {
	
	@Caption(value = "Periode Awal")
	@NotNull(message="Periode Awal harus Disi")
	private Date periodeAwal;
	
	@Caption(value = "Periode Ahir")
	@NotNull(message="Periode Ahir harus Disi")
	private Date periodeAhir;
	
	@Caption(value = "Residu")
	@NotNull(message="residu Harus Diisi")
	private Double residu;
	
	@Caption(value = "Jumlah Yang Belum terkelola")
	@NotNull(message="Jumlah Yang Belum terkelola harus diisi")
	private Double jumlahYangBelumTerkelola;
	
	@Caption(value = "kinerja Pengelolaan")
	@NotNull(message="kinerja Pengelolaan harus diisi")
	private Double kinerjaPengelolaan;
	
	@Caption(value = "kinerja Pengelolaan")
	private String Catatan;
	
	private Double totalLimbahMasuk;
	
	@OneToMany
	private Set<DetailPerlakuanVO> detailPerlakuan = new HashSet<DetailPerlakuanVO>();
	
	@NotNull(message="Silahkan Pilih Periode Detail Jenis Limbah")
	@OneToMany
	private Set<DetailJenisLimbahVO> detailJenisLimbah = new HashSet<DetailJenisLimbahVO>();

	public Date getPeriodeAwal() {
		return periodeAwal;
	}

	public void setPeriodeAwal(Date periodeAwal) {
		this.periodeAwal = periodeAwal;
	}

	public Date getPeriodeAhir() {
		return periodeAhir;
	}

	public void setPeriodeAhir(Date periodeAhir) {
		this.periodeAhir = periodeAhir;
	}

	public Double getResidu() {
		return residu;
	}

	public void setResidu(Double residu) {
		this.residu = residu;
	}

	public Double getJumlahYangBelumTerkelola() {
		return jumlahYangBelumTerkelola;
	}

	public void setJumlahYangBelumTerkelola(Double jumlahYangBelumTerkelola) {
		this.jumlahYangBelumTerkelola = jumlahYangBelumTerkelola;
	}

	public Double getKinerjaPengelolaan() {
		return kinerjaPengelolaan;
	}

	public void setKinerjaPengelolaan(Double kinerjaPengelolaan) {
		this.kinerjaPengelolaan = kinerjaPengelolaan;
	}

	public String getCatatan() {
		return Catatan;
	}

	public void setCatatan(String catatan) {
		Catatan = catatan;
	}

	public Set<DetailPerlakuanVO> getDetailPerlakuan() {
		return detailPerlakuan;
	}

	public void setDetailPerlakuan(Set<DetailPerlakuanVO> detailPerlakuan) {
		this.detailPerlakuan = detailPerlakuan;
	}

	public Set<DetailJenisLimbahVO> getDetailJenisLimbah() {
		return detailJenisLimbah;
	}

	public void setDetailJenisLimbah(Set<DetailJenisLimbahVO> detailJenisLimbah) {
		this.detailJenisLimbah = detailJenisLimbah;
	}

	public Double getTotalLimbahMasuk() {
		return totalLimbahMasuk;
	}

	public void setTotalLimbahMasuk(Double totalLimbahMasuk) {
		this.totalLimbahMasuk = totalLimbahMasuk;
	}


}
